GetbeelDocs
API referenceTax rules

Tax rules in force

Every rule value by date (origin code: shipped with getbeel; db: added since), the values missing in the next 13 months, and the proroghe in force. pending (the proposals of the rules watch) and watch_runs are null unless the key is a live key of a getbeel administrator. Both key modes.

GET
/tax-rules

Every rule value by date (origin code: shipped with getbeel; db: added since), the values missing in the next 13 months, and the proroghe in force. pending (the proposals of the rules watch) and watch_runs are null unless the key is a live key of a getbeel administrator. Both key modes.

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
object*string
today*string
Match^\d{4}-\d{2}-\d{2}$
rule_values*array<>

Every rule value, versioned by date

coverage*array<>

Values missing in the next 13 months

overrides*array<>

Proroghe in force

pending*|

Proposals waiting for approval: only for a live key of a getbeel administrator, null otherwise

watch_runs*array<>|null
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/tax-rules'
Example Response
{  "object": "tax_rules",  "today": "string",  "rule_values": [    {      "key": "string",      "values": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "valid_from": "string",          "valid_to": "string",          "value": 0,          "origin": "code",          "confirmed": true,          "source": {            "title": "string",            "url": "string",            "article": "string"          }        }      ]    }  ],  "coverage": [    {      "key": "string",      "missing_from": "string",      "publication": {        "prefix": "string",        "source": "string",        "expected_by": "string"      },      "overdue": true    }  ],  "overrides": [    {      "object": "tax_calendar_override",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "deadline_kind": "all",      "nominal_from": "string",      "nominal_to": "string",      "new_due_date": "string",      "valid_from": "string",      "source_url": "string",      "source_title": "string",      "source_quote": "string",      "quote_verified": true,      "note": "string",      "status": "pending",      "proposed_via": "admin",      "decided_at": "string",      "notified_at": "string",      "created_at": "string",      "filings_updated": -9007199254740991    }  ],  "pending": {    "rule_values": [      {        "object": "tax_rule_value",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "key": "inps.maternity_yearly",        "value": 0,        "valid_from": "string",        "valid_to": "string",        "source_url": "string",        "source_title": "string",        "source_article": "string",        "source_quote": "string",        "quote_verified": true,        "status": "pending",        "proposed_via": "admin",        "decided_at": "string",        "decision_note": "string",        "created_at": "string"      }    ],    "overrides": [      {        "object": "tax_calendar_override",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "deadline_kind": "all",        "nominal_from": "string",        "nominal_to": "string",        "new_due_date": "string",        "valid_from": "string",        "source_url": "string",        "source_title": "string",        "source_quote": "string",        "quote_verified": true,        "note": "string",        "status": "pending",        "proposed_via": "admin",        "decided_at": "string",        "notified_at": "string",        "created_at": "string",        "filings_updated": -9007199254740991      }    ]  },  "watch_runs": [    {      "week": "string",      "status": "string",      "items_read": -9007199254740991,      "proposals": -9007199254740991,      "error": "string",      "started_at": "string",      "finished_at": "string"    }  ]}